#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x91dad032, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8fe4d55c, "netif_set_real_num_tx_queues" },
	{ 0xc90a1fce, "netif_set_real_num_rx_queues" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4507b0bb, "dma_alloc_attrs" },
	{ 0x22a6841, "pci_read_config_word" },
	{ 0x6b10a84e, "napi_enable" },
	{ 0x1ee76a31, "register_netdev" },
	{ 0xc6241b29, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x925e2dfe, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf467fbab, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0xff6fc0e8, "netif_schedule_queue" },
	{ 0x6bb3a6d1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x8f396a6d, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3479cfc2, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x385861c2, "dma_free_attrs" },
	{ 0x80d17066, "pcie_get_readrq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2b8957c9, "netif_carrier_off" },
	{ 0x578626f9, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b1b70c7, "pci_disable_device" },
	{ 0xf3ce7e46, "pcie_set_readrq" },
	{ 0x8ac9a278, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xc5bfc552, "napi_schedule_prep" },
	{ 0x6c010fb9, "napi_disable" },
	{ 0x29824437, "dev_kfree_skb_any_reason" },
	{ 0xaa9f4637, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcdbd80f4, "pci_free_irq_vectors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xab10ffe1, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x76502f62, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb33719d3, "pci_request_selected_regions" },
	{ 0xe662c7ba, "pci_release_selected_regions" },
	{ 0xf2e3fb97, "pci_enable_device" },
	{ 0x9eeac7d1, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x1926aee8, "pci_enable_device_mem" },
	{ 0x48042d0c, "netdev_update_features" },
	{ 0x3ad57086, "consume_skb" },
	{ 0xfdf50f48, "pci_alloc_irq_vectors" },
	{ 0xd688e1c6, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a004941, "unregister_netdev" },
	{ 0x96ab9bd4, "dma_unmap_page_attrs" },
	{ 0xbc1bd771, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x8de62f18, "eth_validate_addr" },
	{ 0x54426e44, "netdev_warn" },
	{ 0xfcbe824c, "pci_irq_vector" },
	{ 0x5898fc1d, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x833dacf, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x61ea923e, "pci_unregister_driver" },
	{ 0xd7e7f6b1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ad075db, "pskb_expand_head" },
	{ 0xd0a7e94d, "dev_driver_string" },
	{ 0x2154aa0e, "dev_addr_mod" },
	{ 0x2b73046a, "eth_type_trans" },
	{ 0x76ad7049, "dma_map_page_attrs" },
	{ 0x83064af6, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb135ff48, "__napi_schedule" },
	{ 0x432b72e9, "netif_device_detach" },
	{ 0x23cf671a, "_dev_info" },
	{ 0x67d4ffea, "napi_gro_receive" },
	{ 0xcbde82c3, "netif_device_attach" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x95ffee62, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001969d00001091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E0A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d00001090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d000010A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d000010A0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DFE8D3D467E5DF6B2505B55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
