#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xdec04604, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x0faf520d, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xab35d299, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xefc10dd7, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x3a71bc7f, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x7d401589, "");
SYMBOL_CRC(mlx5_cmd_check, 0xed8dd137, "");
SYMBOL_CRC(mlx5_cmd_do, 0xfd814b04, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xea10212d, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x833151da, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xe8554c3c, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xd1c1f1ca, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x2e99ef1e, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x5f9e30c7, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xb1515110, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x962a5244, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x1500d0a1, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x3caf03aa, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xbd0882c4, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xe61c0059, "");
SYMBOL_CRC(mlx5_eq_enable, 0xff5c6048, "");
SYMBOL_CRC(mlx5_eq_disable, 0xc7853c9c, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x7773afba, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x5c485463, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x27cd5db8, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xbdeca781, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x08ab2113, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x2dbb36d1, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x929ba41d, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x4bc7620b, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x9f4b5464, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x9c63afd4, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xa7e31dce, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x08d6db26, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xbe4c7653, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x6ff7b277, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xf7a966a9, "");
SYMBOL_CRC(mlx5_create_cq, 0x65ba7d6f, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x02a9cef4, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x4f06bc04, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xf04180a4, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xbc18b836, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x83fb79ff, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xfd068002, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x05155e31, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xf35ad44c, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xf8ad2ac2, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xaeb0bfb4, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x5c635253, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x78f4aac3, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xee857050, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x945db614, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xf5568ab0, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x7195adfe, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xe2357ce7, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x649891f3, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x0e38a9a8, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x637a97b7, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x2300f895, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xf997d338, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xe35085d3, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x35c07be4, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x52285f0d, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x28ef242d, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x7b219153, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xeec8f2e5, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x287740e8, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x3c364732, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x05441eec, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xd7c658fc, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xe2e1cc9e, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x1329a044, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xd9ae3049, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x382566d4, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xce5e4232, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x1998e5b2, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xf100dc44, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x56247c24, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x63afffef, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x903165c4, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x41954777, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x13bb1323, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x2896f113, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x52f05ba5, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x27f4f6a7, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xaf482cc2, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x86148e1f, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xed4577c7, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x1c12a730, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x00fb8708, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x9afdae27, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x0288a2e6, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x298aa7e2, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x0d26ec7d, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xaadfcd2c, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x1637eaca, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x25082b5d, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x2d7bea71, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x2bf83136, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x1b509ba6, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x8f101bff, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x8cbe4181, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x2677b424, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xeef3ab90, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x5d4d437c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x1743fd2b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x3e417883, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x3bf8b596, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xb9d96605, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xbd76938f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xdf0ca7ce, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x1d925d48, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x9e4d1aa9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x855cbb54, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x1b862e46, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x47518a97, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xf09cae63, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xf5ea9b17, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x89a97a0f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x4ad0e55f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x03dcc642, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x93e9d38a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x3cdb1b0d, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x8a90d1a0, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x250b3b0a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xf08a131c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x8aaa6991, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xc27562e4, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xf03c7991, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xd731af88, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xbecb5b5c, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x3755def1, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x78a6e672, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x981077f9, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xf70dfd58, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xbb08ca6b, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x85ba7711, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x1fdefbda, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xe9e2a711, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x5ec99f07, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xe53d5f30, "");
SYMBOL_CRC(mlx5_msix_free, 0x1fa4a900, "");
SYMBOL_CRC(mlx5_fc_create, 0xd81a7669, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xd99a582a, "");
SYMBOL_CRC(mlx5_fc_query, 0xaca3a2e6, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x2d0cfdf0, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xf32c74c4, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xfbbf07b3, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x8a6cc07e, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xc231c6e0, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x1bf3e352, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x3c8c37f8, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xeb78ca39, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x5d55ffe5, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xd2a4ba8c, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x4e004399, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xde123c83, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x2c4ed9f9, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x2abbdb4d, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xf4a0cfa4, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xd3d5add9, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x5e33167a, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x74763a28, "");
SYMBOL_CRC(mlx5_notifier_register, 0x704f3d91, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x9e7b1a96, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xb22af38f, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x36e6089b, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xfa95869c, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x2fab6545, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xa481c760, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x9f55446b, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x6dbed2e7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x531ae18e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xc4aa6524, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xfa0e564d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x0c519375, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x32f5a01c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xa54524b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x9be117df, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xc15e8275, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xa90cc388, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xf50effba, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x58a53ab1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x1cfc7629, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x6cf5477e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x4f83343b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x446cbb67, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0xfa513f8d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xf1beb0d1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x6fd1ec77, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x88c5a77d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x2068f9f1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xa8c4c8fa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xcde97f54, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xc6b998c3, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xc4b2f56a, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x829e0ee0, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xc1c9ffca, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x4af4ee29, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x8575763f, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xf4219214, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xbfc8967b, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x135fd6d5, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x25a86c85, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xf3126d68, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xc2287693, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x16876a92, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xc0edd649, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xe3b7decf, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x301479d5, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x575d6350, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xf25fb1f1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x48aaa7f2, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x0d236de2, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xe10eecc7, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xf3000ab3, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x65e7a8e1, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x6d118f4b, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xa15d9ccf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x925e2dfe, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xafc681e7, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xee67f31c, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf2abf023, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x439ebc90, "pci_restore_state" },
	{ 0x254849ff, "bpf_trace_run1" },
	{ 0x9cbbe4cf, "__inet6_lookup_established" },
	{ 0xf467fbab, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x8dd807a3, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47c71884, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xca630ace, "page_pool_create" },
	{ 0xc6ca52f6, "skb_checksum" },
	{ 0x380873de, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x8c09b9e8, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x8f5785ab, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xec779f20, "devl_resources_unregister" },
	{ 0xdea19dd3, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xff6fc0e8, "netif_schedule_queue" },
	{ 0xd17131f7, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x6bb3a6d1, "pci_set_master" },
	{ 0x7fc0016d, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc0a4fbc, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed801181, "flow_rule_match_ipv6_addrs" },
	{ 0x2a9de78a, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xed5ccf8a, "devl_params_unregister" },
	{ 0x2b693c6e, "ptp_clock_unregister" },
	{ 0x2a747d47, "__pskb_pull_tail" },
	{ 0x9e899dbb, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x8f396a6d, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x638b64e4, "devlink_trap_report" },
	{ 0xf6587ce0, "__neigh_event_send" },
	{ 0x6976b944, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x9355f474, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x35743fcf, "devl_traps_register" },
	{ 0xe75e5927, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xa744e276, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3479cfc2, "dma_set_coherent_mask" },
	{ 0x44a1b6dd, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc35f87d3, "pv_ops" },
	{ 0xbac9bdf5, "flow_rule_match_enc_control" },
	{ 0x54115187, "bpf_trace_run3" },
	{ 0xb372c097, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xb4ca2b72, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x7ccc2e3b, "debugfs_create_file" },
	{ 0xa7842e51, "rps_may_expire_flow" },
	{ 0xa3c1da97, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x79294fe0, "xsk_set_tx_need_wakeup" },
	{ 0x58f35e80, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf7cad063, "netdev_reset_tc" },
	{ 0xa5c584b2, "neigh_destroy" },
	{ 0x385861c2, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x834b77ad, "debugfs_create_x32" },
	{ 0x99971f45, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb8cc1f59, "flow_rule_match_enc_ports" },
	{ 0xd0e87935, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5d76abac, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x33647cab, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x135e3b92, "devl_assert_locked" },
	{ 0x8bf4b120, "pcie_print_link_status" },
	{ 0x8d47ed1a, "xp_set_rxq_info" },
	{ 0xf8176edc, "flow_rule_match_vlan" },
	{ 0x4d716f5e, "alloc_pages" },
	{ 0x83511620, "devl_port_unregister" },
	{ 0x12787be7, "xdp_rxq_info_unreg" },
	{ 0x562cf3be, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x1b44390e, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc06754aa, "napi_build_skb" },
	{ 0x24cd5a4b, "netdev_master_upper_dev_get_rcu" },
	{ 0x3919cd7, "__folio_put" },
	{ 0x987ba9b7, "__xdp_rxq_info_reg" },
	{ 0x34f980d9, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdf6159c6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe4eae4a8, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x55f570c2, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2b8957c9, "netif_carrier_off" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x8d70c541, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x800c5087, "devlink_priv" },
	{ 0xc9f464b8, "devlink_port_register_with_ops" },
	{ 0xe3f1adfc, "pci_disable_sriov" },
	{ 0xa92c8705, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb89b0049, "dst_release" },
	{ 0x578626f9, "netif_carrier_on" },
	{ 0xb60fa5c2, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x5eee8c5e, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfad0e3d0, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b1b70c7, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xd67eae7c, "boot_cpu_data" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xd9745bc6, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xee0cf83d, "page_pool_update_nid" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x8ac9a278, "dma_set_mask" },
	{ 0x907e3bf6, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x625708f2, "netif_set_tso_max_size" },
	{ 0x2528fbbe, "vlan_dev_vlan_id" },
	{ 0x6823e939, "__skb_flow_dissect" },
	{ 0xd5ec4971, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x86d1c1c4, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x5128505e, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb9a7ab94, "xp_raw_get_data" },
	{ 0x22426ce6, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xc5bfc552, "napi_schedule_prep" },
	{ 0x5e8d11ab, "qdisc_reset" },
	{ 0xee3d817e, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xf8ce780c, "xp_alloc_batch" },
	{ 0xd858beac, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x6c010fb9, "napi_disable" },
	{ 0x29824437, "dev_kfree_skb_any_reason" },
	{ 0x3210dbcd, "dcb_ieee_delapp" },
	{ 0x61d4e442, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x1a858131, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2170e1f1, "debugfs_create_u8" },
	{ 0x67b80948, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x367c2b4, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd2d76397, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9eadadde, "skb_ext_add" },
	{ 0x87663be5, "pcie_bandwidth_available" },
	{ 0xcdbd80f4, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x42dccff7, "flow_rule_match_control" },
	{ 0x60925ac4, "flow_rule_match_ip" },
	{ 0xacb66997, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x17df889, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x4af93229, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x43fcf25, "xsk_tx_release" },
	{ 0x8c76f635, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x24489840, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1770449c, "pci_write_config_dword" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xab10ffe1, "netdev_info" },
	{ 0xc10921f6, "neigh_lookup" },
	{ 0x4aadfab3, "kmem_cache_destroy" },
	{ 0x25f0cb4c, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xba6f8557, "__tracepoint_xdp_exception" },
	{ 0xaaf73b03, "__inet_lookup_established" },
	{ 0x891e2f72, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x76502f62, "alloc_etherdev_mqs" },
	{ 0x87e1f553, "netdev_lower_get_next" },
	{ 0x12fb33c9, "secpath_set" },
	{ 0x7f5b740a, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2679b78b, "pci_save_state" },
	{ 0x8adb199f, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd3544407, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9aca485d, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xc04a4826, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb8b5eea, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb06bd213, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xad72f3e3, "bpf_prog_put" },
	{ 0xb4441773, "page_pool_get_stats" },
	{ 0x4a52bd, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb2d4d28, "pci_cfg_access_unlock" },
	{ 0xa100e984, "xp_dma_map" },
	{ 0x3175678f, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x229ce375, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x931716e, "skb_copy_bits" },
	{ 0x6b5fc29c, "debugfs_attr_write" },
	{ 0x210033d7, "dma_pool_create" },
	{ 0x59769fb, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9d612a67, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf2e3fb97, "pci_enable_device" },
	{ 0x9eeac7d1, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xff385d42, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x14faa618, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xdfac4979, "__napi_alloc_skb" },
	{ 0x3ab8d003, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2ecfa57, "register_fib_notifier" },
	{ 0xb637ec4e, "auxiliary_device_init" },
	{ 0xc4102064, "ip6_dst_hoplimit" },
	{ 0x48042d0c, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf0424e1d, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xfdf50f48, "pci_alloc_irq_vectors" },
	{ 0xd688e1c6, "netif_napi_add_weight" },
	{ 0x12d35e02, "pci_enable_atomic_ops_to_root" },
	{ 0xd28d0fc8, "seq_release" },
	{ 0x3eccaef, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xcd479e2b, "xsk_clear_tx_need_wakeup" },
	{ 0xc10dbd70, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x85a5bea4, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xefe32eb6, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd8abcda0, "ndo_dflt_bridge_getlink" },
	{ 0x7a004941, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xfb9e707a, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd2fed6ab, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x4d49380f, "register_netdevice_notifier_dev_net" },
	{ 0x96ab9bd4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x257c8c0d, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xecb4c4d0, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xbc1bd771, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xb3f06a94, "dma_sync_single_for_device" },
	{ 0x7612e66b, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xa9816bf2, "pci_num_vf" },
	{ 0xd4a83d3e, "debugfs_create_atomic_t" },
	{ 0x2cd8c6e2, "flow_rule_match_eth_addrs" },
	{ 0x91e1ee24, "skb_add_rx_frag" },
	{ 0x826e9272, "xfrm_state_check_expire" },
	{ 0xe5f52a6e, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdc4f7b09, "ptp_clock_index" },
	{ 0x86ac2d65, "pci_request_regions" },
	{ 0x1c1cb9cd, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x7dada38d, "flow_block_cb_free" },
	{ 0x860b25ea, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa4c9455b, "xp_can_alloc" },
	{ 0x4edcad72, "psample_sample_packet" },
	{ 0x5ce7d715, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x2978c4b4, "devlink_alloc_ns" },
	{ 0xe98cfa7, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x708bf02c, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x19dd5f6f, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xee84267d, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0x9f7d5992, "page_pool_destroy" },
	{ 0x503357d9, "xdp_do_redirect" },
	{ 0x9c6d395e, "__put_devmap_managed_page_refs" },
	{ 0x53c5fe79, "devlink_free" },
	{ 0x46cbd5f4, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x924bb6dd, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x54426e44, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x3982423c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x834c8323, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfcbe824c, "pci_irq_vector" },
	{ 0x7b52cdfd, "flow_rule_match_ipv4_addrs" },
	{ 0x9b606d07, "ip_route_output_flow" },
	{ 0x5898fc1d, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xde0b6d2b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5e24bff3, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x61ea923e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xd7e7f6b1, "netdev_err" },
	{ 0x9303f1aa, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3882e558, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd0a7e94d, "dev_driver_string" },
	{ 0xb20804a, "netdev_port_same_parent_id" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0x2154aa0e, "dev_addr_mod" },
	{ 0x8a017033, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x777b1f22, "ptp_find_pin" },
	{ 0x2b73046a, "eth_type_trans" },
	{ 0xae948ed8, "pci_read_config_dword" },
	{ 0xd0a0f5c6, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x57fb07b8, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac3babf0, "auxiliary_driver_unregister" },
	{ 0x76ad7049, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x83064af6, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6369ce1c, "devlink_port_attrs_pci_vf_set" },
	{ 0xf1e7583, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xb26ca885, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf0e604d3, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xb135ff48, "__napi_schedule" },
	{ 0x6b99ae7f, "devlink_port_health_reporter_create" },
	{ 0x2b041aad, "pcie_relaxed_ordering_enabled" },
	{ 0x92900786, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x7c71684c, "kmalloc_node_trace" },
	{ 0x2cf95e55, "devlink_port_attrs_pci_pf_set" },
	{ 0x2dd3e289, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x432b72e9, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf811f28, "__free_pages" },
	{ 0xdd9009fd, "kmem_cache_alloc" },
	{ 0x23cf671a, "_dev_info" },
	{ 0xdbc94a5e, "skb_vlan_pop" },
	{ 0x67d4ffea, "napi_gro_receive" },
	{ 0xcbde82c3, "netif_device_attach" },
	{ 0xfd475f39, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xbce47281, "netdev_pick_tx" },
	{ 0xbc0898d9, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5d6e39cc, "xp_raw_get_dma" },
	{ 0xb1859740, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd6ec3725, "xdp_rxq_info_is_reg" },
	{ 0xe5d128b2, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0xc671f901, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xcc009402, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x12ddfe2e, "devl_health_reporter_create" },
	{ 0x971a26, "flow_block_cb_setup_simple" },
	{ 0xf06f5abf, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7d9a231e, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xec72af62, "unregister_netdevice_notifier_dev_net" },
	{ 0xf43a3f03, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x91cc0aa8, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf8945bd9, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x601589a7, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x2e93054b, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa63e133a, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e528a34, "__dev_get_by_index" },
	{ 0x4bd65c9e, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x5a10fb92, "devlink_port_unregister" },
	{ 0x51692df1, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x91dad032, "_dev_err" },
	{ 0xd781e532, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xf283d416, "softnet_data" },
	{ 0x8f3c94c8, "ipv6_stub" },
	{ 0xcb4830c5, "simple_open" },
	{ 0xe1460c8c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x9f92705f, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x61786365, "simple_attr_release" },
	{ 0x1fe01aa2, "ptp_clock_register" },
	{ 0x36be391b, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x44334a17, "xp_dma_sync_for_cpu_slow" },
	{ 0xaa9145d7, "xsk_tx_peek_desc" },
	{ 0x4605349, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x8fe4d55c, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6a4c17bc, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x33f0d1a3, "irq_get_irq_data" },
	{ 0x2b505d1c, "dev_remove_pack" },
	{ 0xc90a1fce, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x5012a95e, "dev_get_by_index" },
	{ 0x81535e05, "bpf_trace_run5" },
	{ 0xfebb5205, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x8026b67d, "skb_store_bits" },
	{ 0xbca4cc18, "devl_port_register_with_ops" },
	{ 0xb0b3c131, "dev_get_by_index_rcu" },
	{ 0x52a45bf5, "kfree_skb_reason" },
	{ 0xa1d78b87, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5ab7dd8, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee1ff7f0, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x77b372c9, "kmem_cache_free" },
	{ 0x4507b0bb, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd1f43260, "debugfs_remove" },
	{ 0x22a6841, "pci_read_config_word" },
	{ 0x6b10a84e, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x26fed64d, "xsk_clear_rx_need_wakeup" },
	{ 0xd2e7d6d0, "unregister_netdevice_notifier_net" },
	{ 0x29e724f2, "xsk_uses_need_wakeup" },
	{ 0x1ee76a31, "register_netdev" },
	{ 0x5b92e37d, "unregister_fib_notifier" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x27311ab3, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xaffc35cf, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc6241b29, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x1dcf97da, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf2b57f65, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "94600FAF2674A14BC3EEF28");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
