#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xdb3afee8, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x9d214a05, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x6485225b, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x6d09a29f, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x29be83f8, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x1ff93cdb, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xab29af39, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xca540c42, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x01e981ca, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xc3706c0f, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xefa50199, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xef2dc248, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x87fda20d, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x1ac2b803, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xb0d70ce7, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x1f23eb01, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x55a24117, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x3effa647, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x7ad1f188, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xd580bbf9, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xc52a03a0, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x3a80d9ec, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xd0e6f0d9, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xf5942590, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xdacffe96, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x794847f4, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x44db3505, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xd91c5709, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x69bdf0f6, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x0cf64029, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x745e04ec, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x6fa5d155, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x2d6a2665, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x631b637a, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x67cfa6f3, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x3c657fc1, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x277d7848, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x560e46de, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x4e7583e2, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x6d82a627, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x752ad4c4, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x7084b0c7, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xbea47435, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x6d195924, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2e93054b, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6fd3cb6f, "iscsi_host_remove" },
	{ 0x9613b157, "pci_dev_put" },
	{ 0x31ab975a, "iscsi_host_free" },
	{ 0x80162432, "pci_dev_get" },
	{ 0x23048454, "iscsi_host_add" },
	{ 0x617e882d, "iscsi_host_alloc" },
	{ 0x61a1e2d4, "scsi_host_put" },
	{ 0x52a45bf5, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf5a6fb27, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x198a360a, "iscsi_conn_queue_xmit" },
	{ 0xc76a4b18, "__kfree_skb" },
	{ 0xc9343fdd, "iscsi_tcp_cleanup_task" },
	{ 0x466c1898, "cxgbi_ppm_ppod_release" },
	{ 0x28e23d4f, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x6abb174d, "iscsi_tcp_set_max_r2t" },
	{ 0x8ca6e487, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xba166aa6, "iscsi_tcp_conn_setup" },
	{ 0x62876801, "iscsi_session_setup" },
	{ 0x4c08aa3a, "iscsi_tcp_r2tpool_alloc" },
	{ 0x7c252b10, "iscsi_session_teardown" },
	{ 0x7c923fb3, "iscsi_tcp_r2tpool_free" },
	{ 0x594e9a94, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x6e2a7131, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x880a4e51, "iscsi_host_get_param" },
	{ 0xf3e85bcc, "iscsi_unregister_transport" },
	{ 0x4d716f5e, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xbdece24b, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xba5bbc7, "iscsi_register_transport" },
	{ 0xd781e532, "init_net" },
	{ 0x56ee78cf, "ip6_route_output_flags" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa404a49d, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xe47513c1, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde3fbfa3, "iscsi_lookup_endpoint" },
	{ 0x3c71cf28, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9d43b5cb, "iscsi_tcp_hdr_recv_prep" },
	{ 0xf6e39b80, "iscsi_put_endpoint" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d55103d, "iscsi_itt_to_ctask" },
	{ 0xb89b0049, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf71bdf87, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6d395e, "__put_devmap_managed_page_refs" },
	{ 0x3919cd7, "__folio_put" },
	{ 0x10eda758, "module_put" },
	{ 0x430b8236, "iscsi_destroy_endpoint" },
	{ 0x91d9588c, "__alloc_skb" },
	{ 0xc4c830cc, "cxgbi_ppm_ppods_reserve" },
	{ 0x4215f578, "dma_map_sg_attrs" },
	{ 0x35f11f82, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x9a721f7, "ipv6_dev_get_saddr" },
	{ 0x1017a910, "make_kuid" },
	{ 0x9b606d07, "ip_route_output_flow" },
	{ 0xa5c584b2, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x5e274eed, "iscsi_create_endpoint" },
	{ 0xfedc11d, "__ip_dev_find" },
	{ 0x9eeac7d1, "skb_put" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x59769fb, "param_ops_uint" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
