#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0x248749cf, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x71b087ba, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x3cfd1f81, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba97d5c6, "ocelot_sb_tc_pool_bind_set" },
	{ 0xb31f53f1, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x554ffab4, "dsa_mdb_present_in_other_db" },
	{ 0xea502ccb, "ocelot_vcap_filter_add" },
	{ 0x1b15ad83, "ocelot_sb_port_pool_get" },
	{ 0x96a462eb, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xa733be93, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x3f735c02, "ocelot_port_inject_frame" },
	{ 0x9896625f, "ocelot_mrp_add" },
	{ 0xe6142b17, "ocelot_sb_occ_port_pool_get" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x514a43ba, "ocelot_sb_pool_set" },
	{ 0x6f78ae71, "ocelot_lag_fdb_del" },
	{ 0xa27ebfae, "ocelot_vcap_filter_del" },
	{ 0x325a72e2, "ocelot_cls_flower_stats" },
	{ 0xe78cb434, "ocelot_sb_pool_get" },
	{ 0xe528a2a7, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4356be30, "ocelot_deinit_port" },
	{ 0x99a3508d, "ocelot_can_inject" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xf4c28b4f, "ocelot_port_mirror_add" },
	{ 0x90767277, "ocelot_fdb_dump" },
	{ 0xf056bb1d, "ocelot_vlan_prepare" },
	{ 0xf3d8c6bf, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9b329ca6, "ocelot_set_ageing_time" },
	{ 0xa48f627c, "__ocelot_rmw_ix" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0xd437198f, "ocelot_hwstamp_set" },
	{ 0xae21fa7a, "ocelot_port_policer_del" },
	{ 0xcad20caf, "ocelot_port_lag_change" },
	{ 0x3ad57086, "consume_skb" },
	{ 0x995c2bab, "ocelot_port_policer_add" },
	{ 0x8569638b, "ocelot_port_mdb_add" },
	{ 0xe9aca5ce, "ocelot_vlan_add" },
	{ 0x41dba4a0, "ocelot_sb_tc_pool_bind_get" },
	{ 0x74c74bb, "ocelot_port_bridge_flags" },
	{ 0xf51822d7, "ocelot_devlink_sb_unregister" },
	{ 0x56527c3, "ocelot_port_bridge_leave" },
	{ 0x6609a054, "ocelot_port_set_maxlen" },
	{ 0x433c60e, "ocelot_vcap_filter_replace" },
	{ 0x5d8e6b51, "ocelot_get_max_mtu" },
	{ 0x9bd02a3, "regmap_fields_update_bits_base" },
	{ 0xc5736143, "ocelot_sb_occ_snapshot" },
	{ 0x4121b75f, "ocelot_get_ts_info" },
	{ 0x6f9b6f3d, "ocelot_sb_occ_max_clear" },
	{ 0x7b9b5802, "ocelot_port_get_mm" },
	{ 0x14ff6c05, "ocelot_ptp_gettime64" },
	{ 0x2affa120, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0x35e83814, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xc63fdb57, "ocelot_port_add_dscp_prio" },
	{ 0x76456d1a, "ocelot_drain_cpu_queue" },
	{ 0xa3d47625, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x87a3571d, "__ocelot_read_ix" },
	{ 0xadc17d4f, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc03d53d4, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x78b8f44d, "ocelot_get_sset_count" },
	{ 0xa39be218, "ocelot_migrate_mdbs" },
	{ 0x5fd24c45, "ocelot_hwstamp_get" },
	{ 0xaf4fc9cb, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd8b01ecb, "ocelot_port_bridge_join" },
	{ 0x209d27e6, "ocelot_fdb_add" },
	{ 0x8a5cb9c7, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x21ca0350, "ocelot_xtr_poll_frame" },
	{ 0xa098743c, "ocelot_port_get_default_prio" },
	{ 0xef6dd75c, "ptp_classify_raw" },
	{ 0x35ab4df9, "ocelot_port_set_default_prio" },
	{ 0xd27eec28, "dsa_tag_8021q_register" },
	{ 0x7c78e30e, "ocelot_port_get_mm_stats" },
	{ 0x65f42bab, "ocelot_deinit" },
	{ 0x91dad032, "_dev_err" },
	{ 0x5002cf15, "ocelot_vlan_del" },
	{ 0xabe97fcc, "ocelot_bond_get_id" },
	{ 0x52a45bf5, "kfree_skb_reason" },
	{ 0xfa89eec5, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d707778, "ocelot_cls_flower_destroy" },
	{ 0x565a463, "ocelot_port_vlan_filtering" },
	{ 0xa0ea1f35, "ocelot_port_get_rmon_stats" },
	{ 0x58c389e7, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x9d12490, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdb419d7d, "ocelot_bridge_stp_state_set" },
	{ 0x9b9b9b62, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3500b25, "netif_rx" },
	{ 0x56c131b2, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xb9cf553b, "ocelot_fdb_del" },
	{ 0xb1d84ed8, "ocelot_phylink_mac_link_down" },
	{ 0x8084ff10, "ocelot_port_lag_join" },
	{ 0x31755ab9, "ocelot_port_get_eth_phy_stats" },
	{ 0x93b6e69a, "ocelot_port_lag_leave" },
	{ 0x4d2f15f8, "ocelot_mrp_add_ring_role" },
	{ 0x6150ef40, "ocelot_port_set_mm" },
	{ 0x2ebf373, "ocelot_deinit_timestamp" },
	{ 0x894735d9, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd6f5a762, "ocelot_port_get_stats64" },
	{ 0x81b52f62, "ocelot_port_get_dscp_prio" },
	{ 0x9c804b75, "ocelot_port_mdb_del" },
	{ 0x396e18bb, "ocelot_port_get_eth_mac_stats" },
	{ 0xb0c60898, "ocelot_mact_flush" },
	{ 0xad901ae9, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdef7baf0, "ocelot_port_pre_bridge_flags" },
	{ 0x96d8b884, "ocelot_port_del_dscp_prio" },
	{ 0x23e0f5b, "ocelot_mrp_del_ring_role" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "961DA740CBAE572DC787D49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
