#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x81e71890, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xc39d48b8, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x4fdcf4fb, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x61db93bc, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x2043a8ce, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x4c5f8fac, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x4dff3009, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x85225b96, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xb306a213, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xd082e0ef, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xace0641a, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xacec0a2c, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xc03b9218, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xb56a0c64, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xc03d53d4, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xb31f53f1, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x554ffab4, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x5ea21d21, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xe24a294e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xcaf2f1e2, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x8db00994, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xce04147f, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xd27eec28, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xf3d8c6bf, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xcbbdcff8, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xd7292e86, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xfd3f31ca, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xe87d7cb9, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x13f8ac4e, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x26702817, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb26ca885, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0e604d3, "put_device" },
	{ 0xdab8b586, "devlink_resource_register" },
	{ 0xb66b09bc, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x432b72e9, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x632a68c, "switchdev_bridge_port_offload" },
	{ 0xcbde82c3, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x10eda758, "module_put" },
	{ 0xef6dd75c, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x966a3efc, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x5ba4c564, "devlink_region_create" },
	{ 0x2e93054b, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9e528a34, "__dev_get_by_index" },
	{ 0xf55f3455, "rtnl_link_unregister" },
	{ 0x4bd65c9e, "perf_trace_run_bpf_submit" },
	{ 0x5a10fb92, "devlink_port_unregister" },
	{ 0x91dad032, "_dev_err" },
	{ 0xd781e532, "init_net" },
	{ 0x4c35bafe, "noop_qdisc" },
	{ 0xf1fd50df, "phy_ethtool_get_strings" },
	{ 0x45c3f8a3, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2ea63839, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2b505d1c, "dev_remove_pack" },
	{ 0x81535e05, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x52a45bf5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9dff7476, "gro_cells_receive" },
	{ 0xa1decfe, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xee1ff7f0, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xd1b92ec7, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5ac0f48e, "dev_mc_del" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0x702a9d5, "br_vlan_get_info" },
	{ 0xc6241b29, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf73f63c3, "mdiobus_free" },
	{ 0x492eb27, "sysfs_create_group" },
	{ 0xa4de715, "devlink_resource_occ_get_register" },
	{ 0x925e2dfe, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xf97b7c05, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x90fd1bba, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x92b6e3e1, "switchdev_bridge_port_unoffload" },
	{ 0x9ca5d306, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc53a49be, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xb10855b3, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc3500b25, "netif_rx" },
	{ 0xd1d1f288, "dev_mc_add" },
	{ 0x6976b944, "flow_block_cb_alloc" },
	{ 0xae97984e, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x81c8f7dd, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa744e276, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc35f87d3, "pv_ops" },
	{ 0xd74b2449, "sysfs_remove_group" },
	{ 0xb35cd6ad, "net_selftest" },
	{ 0x54115187, "bpf_trace_run3" },
	{ 0xd5ac5788, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x1111e2b0, "devlink_port_init" },
	{ 0xf3dd4663, "__netpoll_setup" },
	{ 0x58f35e80, "__dev_queue_xmit" },
	{ 0x33a1d1ee, "vlan_vid_add" },
	{ 0xc53f318d, "devlink_params_register" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xbef1bcdb, "vlan_vid_del" },
	{ 0xa730395c, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x35367292, "devlink_resources_unregister" },
	{ 0xdf6159c6, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2b8957c9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcba20164, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x923d5832, "devlink_port_region_create" },
	{ 0x800c5087, "devlink_priv" },
	{ 0x3da90c3a, "skb_copy" },
	{ 0xdc81b80, "__hw_addr_sync_dev" },
	{ 0xc9f464b8, "devlink_port_register_with_ops" },
	{ 0x4e5da71c, "mdiobus_get_phy" },
	{ 0xb89b0049, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x346e70c, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x569f2bcd, "dev_uc_add" },
	{ 0x2528fbbe, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x819eacd9, "br_mst_enabled" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x1124501, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x29824437, "dev_kfree_skb_any_reason" },
	{ 0x3210dbcd, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x66d19df1, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x8fff6efa, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x17df889, "dcb_ieee_setapp" },
	{ 0xe3ffc99f, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x417c6b7a, "__skb_vlan_pop" },
	{ 0x5bb0d1a3, "phylink_connect_phy" },
	{ 0xba090c9a, "br_get_ageing_time" },
	{ 0x1c8d8f96, "register_netdevice" },
	{ 0x93472493, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x87e1f553, "netdev_lower_get_next" },
	{ 0x7f5b740a, "flow_block_cb_lookup" },
	{ 0x5db2a497, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x63d9c536, "devlink_resource_occ_get_unregister" },
	{ 0x7bad46ae, "dev_set_mtu" },
	{ 0xb8108300, "br_vlan_enabled" },
	{ 0x76af3d66, "__skb_pad" },
	{ 0xaf456a19, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbb2c9faf, "skb_ensure_writable_head_tail" },
	{ 0x3175678f, "bpf_trace_run4" },
	{ 0x229ce375, "devlink_unregister" },
	{ 0xdeff6adc, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x606c140, "br_port_flag_is_set" },
	{ 0x3f989fa7, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x14faa618, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x45c443b4, "br_port_get_stp_state" },
	{ 0x3ad57086, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3eccaef, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8fed146b, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x229d136f, "__netpoll_free" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0xaf6dd597, "br_vlan_get_proto" },
	{ 0xb21216c5, "br_mst_get_state" },
	{ 0x7a004941, "unregister_netdev" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0xdd8e2dcb, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6a235f34, "netpoll_send_skb" },
	{ 0xfdf4e7a9, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe3a40120, "devlink_params_unregister" },
	{ 0xe5f52a6e, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2978c4b4, "devlink_alloc_ns" },
	{ 0xe8674686, "dev_set_promiscuity" },
	{ 0x19dd5f6f, "devlink_register" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0x53c5fe79, "devlink_free" },
	{ 0xc97ff597, "gro_cells_init" },
	{ 0x924bb6dd, "bpf_trace_run2" },
	{ 0x54426e44, "netdev_warn" },
	{ 0xad2de1be, "unregister_netdevice_queue" },
	{ 0xe0513723, "get_device" },
	{ 0x3c4dc3f6, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x96a1a794, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5e2a928c, "ether_setup" },
	{ 0xd74bdac8, "switchdev_handle_fdb_event_to_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xd7e7f6b1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaacd98fa, "netdev_upper_dev_link" },
	{ 0x2ad075db, "pskb_expand_head" },
	{ 0x3033659d, "switchdev_handle_port_attr_set" },
	{ 0xa991790d, "phylink_create" },
	{ 0x2a3692ab, "vlan_for_each" },
	{ 0xb20804a, "netdev_port_same_parent_id" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0x2154aa0e, "dev_addr_mod" },
	{ 0x2b73046a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x74c7c289, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5b68d079, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "5C1ACCCD8BB063B91713660");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
