#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xaff8e417, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x48bbc3c2, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xa5ac1c3e, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xc1b6fe68, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x77f139a5, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x368f8925, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91d9588c, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xdd9009fd, "kmem_cache_alloc" },
	{ 0xf52a702d, "skb_mpls_pop" },
	{ 0xdbc94a5e, "skb_vlan_pop" },
	{ 0x882d38ed, "dst_init" },
	{ 0x10eda758, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf55f3455, "rtnl_link_unregister" },
	{ 0x4bd65c9e, "perf_trace_run_bpf_submit" },
	{ 0x8608af62, "__skb_get_hash" },
	{ 0xd781e532, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x8f3c94c8, "ipv6_stub" },
	{ 0xcbe4bd3, "skb_mpls_update_lse" },
	{ 0xe1460c8c, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2868b88e, "netlink_unicast" },
	{ 0x81535e05, "bpf_trace_run5" },
	{ 0xb0b3c131, "dev_get_by_index_rcu" },
	{ 0x52a45bf5, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee1ff7f0, "skb_push" },
	{ 0x77b372c9, "kmem_cache_free" },
	{ 0xd1b92ec7, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x12cd47c9, "trace_event_reg" },
	{ 0xe48003ee, "skb_ensure_writable" },
	{ 0xc6241b29, "free_netdev" },
	{ 0x755faf8, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x93cd804c, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x925e2dfe, "ethtool_op_get_link" },
	{ 0xf9ef5ea7, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xfdb42e91, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2a747d47, "__pskb_pull_tail" },
	{ 0x25e2db23, "nf_ct_delete" },
	{ 0x1b767ae0, "nf_conncount_init" },
	{ 0xa5672c32, "skb_vlan_push" },
	{ 0xb10855b3, "dev_get_tstats64" },
	{ 0xc3500b25, "netif_rx" },
	{ 0x8f396a6d, "__netdev_alloc_skb" },
	{ 0xfdb5c0bd, "netdev_master_upper_dev_link" },
	{ 0xa6bebaf0, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc66d0ac2, "inet_proto_csum_replace16" },
	{ 0x81c8f7dd, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a513177, "skb_scrub_packet" },
	{ 0x27dafa38, "nf_ct_deliver_cached_events" },
	{ 0xb4ca2b72, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcc6b0336, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x58f35e80, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78809527, "trace_event_buffer_reserve" },
	{ 0x85dd6f5d, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9536b015, "inet_proto_csum_replace4" },
	{ 0xaccfdfd0, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a056b54, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdf6159c6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8901e4e0, "dev_get_by_name" },
	{ 0xf9c705a3, "skb_clone" },
	{ 0xa92c8705, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb89b0049, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x94281f59, "peernet2id_alloc" },
	{ 0xcc828c24, "nf_ct_get_tuplepr" },
	{ 0xcd9e3002, "netdev_rx_handler_register" },
	{ 0x261cc911, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x3ad3652c, "genl_unregister_family" },
	{ 0xa0aa9887, "dev_disable_lro" },
	{ 0x3b82625f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x29824437, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9ccb3c00, "genl_register_family" },
	{ 0xf7312acd, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd049abbb, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd0a3f30e, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x4baa188, "skb_mpls_push" },
	{ 0x79dfdd1f, "register_pernet_device" },
	{ 0x8570261f, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb7419b1, "kmalloc_caches" },
	{ 0xb857f398, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4aadfab3, "kmem_cache_destroy" },
	{ 0x417c6b7a, "__skb_vlan_pop" },
	{ 0x55d67177, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1c8d8f96, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x26afd2c4, "nf_ct_ext_add" },
	{ 0x6b9182ad, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x779d793c, "nsh_pop" },
	{ 0x738cd7ad, "nf_conntrack_find_get" },
	{ 0xc1caf219, "nf_ct_set_timeout" },
	{ 0x43e5ce2, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0xaf456a19, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x77f17707, "dev_fill_metadata_dst" },
	{ 0x3175678f, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x931716e, "skb_copy_bits" },
	{ 0xf7d5c71, "nf_ct_handle_fragments" },
	{ 0x3dc03bec, "eth_mac_addr" },
	{ 0x9eeac7d1, "skb_put" },
	{ 0x267538be, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7bc8969, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3ad57086, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3433ada6, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe93825ad, "skb_eth_pop" },
	{ 0x4161e5c9, "trace_raw_output_prep" },
	{ 0xaadc8991, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xf42c592e, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x7b6c9025, "nf_ct_helper" },
	{ 0xf0d326b2, "__trace_trigger_soft_disabled" },
	{ 0xfbd2232b, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xdfeeb08a, "trace_event_printf" },
	{ 0x47209f49, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfdf4e7a9, "rtnl_link_register" },
	{ 0xdbd2aaa4, "nf_connlabels_put" },
	{ 0x94909a69, "genlmsg_put" },
	{ 0x1c1cb9cd, "___pskb_trim" },
	{ 0x3a2b1f5c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8674686, "dev_set_promiscuity" },
	{ 0xda660017, "nf_ct_destroy_timeout" },
	{ 0xf90f15f1, "nf_ct_add_helper" },
	{ 0x623a76c6, "pcpu_hot" },
	{ 0xbc247dc7, "nf_conntrack_helper_put" },
	{ 0x4146a5a6, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9dcb6931, "nf_ct_skb_network_trim" },
	{ 0xad2de1be, "unregister_netdevice_queue" },
	{ 0xde0b6d2b, "kmem_cache_create" },
	{ 0x3c4dc3f6, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x5e2a928c, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3e0ff200, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ad075db, "pskb_expand_head" },
	{ 0x2f69925b, "skb_csum_hwoffload_help" },
	{ 0xf538bb07, "trace_event_buffer_commit" },
	{ 0x2154aa0e, "dev_addr_mod" },
	{ 0xc2f671a, "nf_connlabels_replace" },
	{ 0x2b73046a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x74c7c289, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7130a0db, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x2fd4f9ff, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdb3e0317, "skb_eth_push" },
	{ 0xe740abe, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x42201d20, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "089DF98A9778AE3410E1F98");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
